﻿<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Google Provider EN</title>
  <link rel="stylesheet" href="https://stackedit.io/style.css" />
</head>

<body class="stackedit">
  <div class="stackedit__html"><h1 id="lfusion-google-provider">LFusion Google Provider</h1>
<p>This package is an extension for LFusion Local Registry Provider.<br>
It can be used to reference packages available on:</p>
<ul>
<li><a href="https://developers.google.com/unity/archive">https://developers.google.com/unity/archive</a></li>
<li><a href="https://github.com/android/tuningfork/releases">https://github.com/android/tuningfork/releases</a></li>
</ul>
<ol>
<li><a href="#prerequisites">Prerequisites</a></li>
<li><a href="#installation">Installation</a></li>
<li><a href="#configuration">Configuration</a></li>
</ol>
<h2 id="prerequisites">Prerequisites</h2>
<ul>
<li><em><strong>Unity 2020</strong></em> or higher</li>
<li><em><strong>LFusion Local Registry Provider</strong></em> : <code>com.lfusion.localregistryprovider.core</code></li>
<li><em><strong>LFusion Tgz Provider</strong></em> : <code>com.lfusion.localregistryprovider.tgzprovider</code></li>
</ul>
<h2 id="installation">Installation</h2>
<h3 id="install-via-gitlab-registry">Install via Gitlab registry</h3>
<ul>
<li>Add the <a href="https://gitlab.com/lfusion/upm-registry">LFusion Upm-Registry</a></li>
<li><strong>For Unity 2021 or highter</strong>
<ul>
<li>Package Manager</li>
<li><strong>+</strong> Add package by name…
<ul>
<li><code>Name : com.lfusion.localregistryprovider.googleprovider</code></li>
</ul>
</li>
</ul>
</li>
<li><strong>For all supported Unity versions</strong>
<ul>
<li>Open <code>manifest.json</code> in the Packages folder of the project.</li>
<li>Add <code>"com.lfusion.localregistryprovider.googleprovider": "x.x.x",</code> to the <code>dependencies</code> block, replacing <code>x.x.x</code> with the desired version.</li>
<li>Example for version <code>1.0.0</code> :</li>
</ul>
</li>
</ul>
<pre class=" language-json"><code class="prism  language-json"><span class="token punctuation">{</span>
  <span class="token string">"dependencies"</span><span class="token punctuation">:</span> <span class="token punctuation">{</span>
    <span class="token string">"com.lfusion.localregistryprovider.googleprovider"</span><span class="token punctuation">:</span> <span class="token string">"1.0.0"</span><span class="token punctuation">,</span>
    <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
<span class="token punctuation">}</span>
</code></pre>
<h3 id="install-via-tarball">Install via tarball</h3>
<ul>
<li>Download <code>com.lfusion.localregistryprovider.googleprovider-x.x.x.tgz</code> from <a href="https://gitlab.com/lfusion/localregistryprovider/googleprovider/-/releases">releases</a>.</li>
<li>Package Manager</li>
<li><strong>+</strong> Add package from tarball…</li>
<li>Select  <code>com.lfusion.localregistryprovider.googleprovider-x.x.x.tgz</code></li>
</ul>
<h2 id="configuration">Configuration</h2>
<p>LFusion Google Provider settings can be accessed from:</p>
<ol>
<li><code>Edit/Project Settings...</code></li>
<li><code>Package Manager/Local Registry/Google Provider</code></li>
</ol>
<h3 id="packages-selector">Packages Selector</h3>
<p>It lists the google packages available and allows you to select the ones you want to use in the project.</p>

<table>
<thead>
<tr>
<th>Nom</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Apply Now</td>
<td>Force la mise à jour des packages listés</td>
</tr>
<tr>
<td>Refresh List</td>
<td>Récupère la liste des packages disponibles</td>
</tr>
</tbody>
</table><h3 id="cache-manager">Cache Manager</h3>
<p>Used to delete cached package information.</p>
</div>
</body>

</html>
